#!/bin/csh -x -e

\rm -f .gmtdefaults
gmtset MEASURE_UNIT inch 
gmtset ANOT_OFFSET  0.05
gmtset TICK_LENGTH 0.075 
gmtset FRAME_WIDTH 0.1 
gmtset X_ORIGIN      1 
gmtset Y_ORIGIN      1.3
gmtset PAPER_WIDTH   8.3 
#gmtset UNIX_TIME_POS  1/1
gmtset DEGREE_FORMAT 3

 

# This is a a normal-faulting CMT mechanism in red
# What's wrong with this picture? (Normal faulting is rare in California)
psvelomeca << END -X2 -Y5 -Jm1.3 -R238.5/242/32.5/35.5 -B2/2/:.psvelomeca:WeSn -Sc0.4 -H1 -P -C -G255/0/0 -K -W3/0 -L >! example_15.ps
lon     lat    str    dip slip  st dip slip mant exp plon plat
239.384 34.556 180.1   18  -88   0  72  -90  5.5  0.  240.0 35
END

# Focal mechanisms are labeled with following font
gmtset ANOT_FONT  Times-Roman
# Here are several thrusting mechanisms in Aki and Richards convention
# New second argument -Sa is font size in points
psvelomeca <<! -R -Jm  -Sa0.4/12 -H1 -C -O -K -F255/255/255 -N -P >> example_15.ps
* lon    lat        srike  dip  rake   Mw      plon plat
241.459  34.2088   112.3  42.2  89.8   6.6     238.      35.0 first
241.459  34.2088   240.0  80.0 -19.9   5.2     238.      34.0 second
241.459  34.2088   290.0  55.0  90.0   5.9     238.      33.0 third
!
 



#     The example should plot some residual rates of  rotation  in
#     the  Western Transverse Ranges, California.  The wedges will
#     be dark gray, with light gray wedges  to  represent  the  2-
#     sigma uncertainties.
 
psvelomeca << END  -Jm -R -Sw0.4/1.e7 -W1 -G60 -E210 -H1 -D2 -P -O -K >> example_15.ps
 lon     lat    spin(rad/yr) spin_sigma (rad/yr)
241.4806 34.2073  5.65E-08 1.17E-08
241.6024 34.4468 -4.85E-08 1.85E-08
241.0952 34.4079  4.46E-09 3.07E-08
END

# omit the shading
psvelomeca << END  -Jm -R -Sw -W1 -H1 -D2 -P -O -K >> example_15.ps
 lon     lat    spin(rad/yr) spin_sigma (rad/yr)
241.2542 34.2581  1.28E-07 1.59E-08
242.0593 34.0773 -6.62E-08 1.74E-08
241.0553 34.5369 -2.38E-07 4.27E-08
241.1993 33.1894 -2.99E-10 7.64E-09
241.1084 34.2565  2.17E-08 3.53E-08
END
 
# hit the beach
pscoast -P -O -R -Jm -W1 -Di -K >> example_15.ps


#     The  following  should  make  big  red  arrows  with   green
#     ellipses,  outlined  in  red.   Note that the 39% confidence
#     scaling will give an ellipse which fits inside  a  rectangle
#     of dimension Esig by Nsig.

gmtset DEGREE_FORMAT 0
 
#
psvelomeca << END -Y-4.5 -H2 -R-10/10/-10/10 -W3/255/0/0 \
 -Se0.2/0.39/12 -B1g1/WeSn -Jx0.2/0.2 -G0/255/0 -E0/0/255 -L -N \
-A0.1/0.3/0.3 -P -V -O -K >> example_15.ps
  Long.   Lat.   Evel   Nvel   Esig   Nsig  CorEN SITE
  (deg)  (deg)    (mm/yr)        (mm/yr)
  -10.    0.     5.0    0.0     4.0    6.0  0.500  4x6
   -5.    0.     0.0    5.0     4.0    6.0  0.500  4x6
   -5.    5.    -5.0    0.0     4.0    6.0  0.500  4x6
  -10.    5.     0.0   -5.0     0.0    0.0  0.500  4x6
  -1.     5.     3.0    3.0     1.0    1.0  0.100  3x3
END

# simpler colors, labeled with following font
gmtset ANOT_FONT  Helvetica
psvelomeca << END -H2 -Se0.2/0.39/18 -R -Jx -P -V -O -Uexample_15 >> example_15.ps
  Long.   Lat.   Evel   Nvel   Esig   Nsig  CorEN SITE
  (deg)  (deg)    (mm/yr)        (mm/yr)
   0.    -8.     0.0    0.0     4.0    6.0  0.100  4x6
  -8.     5.     3.0    3.0     0.0    0.0  0.200  3x3
   0.     0.     4.0    6.0     4.0    6.0  0.300
  -5.    -5.     6.0    4.0     6.0    4.0  0.400  6x4
   5.     0.    -6.0    4.0     6.0    4.0 -0.300  -6x4
   0.    -5.     6.0   -4.0     6.0    4.0 -0.500  6x-4
END

 
gs example_15.ps
