#include <gmt.h>

/*******************************************************************/
void ps_circonf(x, y, r)
double x, y, r;
{
        double pi = 3.1415926524, lon, phi;
        double xx, yy;
        int n, i;

        lon = 2. * pi * r;
        n = 25 * lon;
        if (n < 10)
                n = 10;
        phi = 2 * pi / n;
        ps_plot(x + r, y, 3);
        for(i = 1; i <= n; i++) {
                xx = x + r * cos(i * phi);
                yy = y + r * sin(i * phi);
                ps_plot(xx, yy, 2);
        }
        return;
}
/*******************************************************************/
void ps_empty_diamond(x, y, size)
double x, y, size;
{
        size /= 2.;
        ps_plot(x, y + size, 3);
        ps_plot(x - size, y, 2);
        ps_plot(x, y - size, 2);
        ps_plot(x + size, y, 2);
        ps_plot(x, y + size, 2);
        return;
}
/******************************************************************/
void ps_empty_square(x, y, size)
double x, y, size;
{
        size /= 2.;
        ps_plot(x + size, y + size, 3);
        ps_plot(x - size, y + size, 2);
        ps_plot(x - size, y - size, 2);
        ps_plot(x + size, y - size, 2);
        ps_plot(x + size, y + size, 2);
        return;
}
/******************************************************************/
void ps_empty_triangle(x, y, size)
double x, y, size;
{
        double sqr3s2 = sqrt(3.) / 2.;

        size /= 2.;
        ps_plot(x, y + size, 3);
        ps_plot(x - size * sqr3s2, y - size / 2., 2);
        ps_plot(x + size * sqr3s2, y - size / 2., 2);
        ps_plot(x, y + size, 2);
        return;
}
/******************************************************************/
